Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVImportColumnToGraphPropertyMappingProxy Class Reference

Proxy to handle all the properties operations like access, creation, data type detection during the CSV parsing process. More...

`#include <CSVGraphImport.h>`

Inheritance diagram for tlp::CSVImportColumnToGraphPropertyMappingProxy:
[legend]
Collaboration diagram for tlp::CSVImportColumnToGraphPropertyMappingProxy:
[legend]

List of all members.

## Public Member Functions

- CSVImportColumnToGraphPropertyMappingProxy (tlp::Graph *graph, const CSVImportParameters &importParameters, QWidget *parent=NULL)
- virtual ~CSVImportColumnToGraphPropertyMappingProxy ()
- tlp::PropertyInterface * getPropertyInterface (unsigned int column, const std::string &token)
    Return the property corresponding to the column index.

## Detailed Description

Proxy to handle all the properties operations like access, creation, data type detection during the CSV parsing process.

Try to guess the type of the property in function of the first token if user don't tell which type the property is.

## Constructor & Destructor Documentation

tlp::CSVImportColumnToGraphPropertyMappingProxy::CSVImportColumnToGraphPropertyMappingProxy | ( | tlp::Graph * | graph,
|  | const CSVImportParameters & | importParameters,
|  | QWidget * | parent = `NULL`
| ) |  |

virtual tlp::CSVImportColumnToGraphPropertyMappingProxy::~CSVImportColumnToGraphPropertyMappingProxy | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

tlp::PropertyInterface* tlp::CSVImportColumnToGraphPropertyMappingProxy::getPropertyInterface | ( | unsigned int | column,
|  | const std::string & | token
| ) |  | `[virtual]`

Return the property corresponding to the column index.

Parameters:

  column | The index of the column.
  token | The current token. May be needed to determine column data type.

The token parameter is used to guess property type if needed.

Implements tlp::CSVImportColumnToGraphPropertyMapping.

Tulip Software by LaBRI Visualization Team 2001 - 2012